{$apptype console}

const 
  r = 11;
  c = 17;
  maxc = 10000;

var i, j, dx, dy: longint;

begin
  writeln(r * c);

  dx := (2 * maxc) div c;
  dy := (2 * maxc) div r;

  for i := 0 to c - 1 do begin
    for j := 0 to r - 1 do begin
      writeln(-maxc + i * dx, ' ', -maxc + j * dy);
    end;
  end;
end.